Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.business.mycarenetdomaincommons.builders.impl
Class AbstractCommonBuilderImpl

    java.lang.Object
      be.ehealth.business.mycarenetdomaincommons.builders.impl.AbstractCommonBuilderImpl

All Implemented Interfaces:
  CommonBuilder, ConfigurableImplementation

Direct Known Subclasses:
  GenericCommonBuilderImpl, IndependantProfessionalCommonBuilderImpl

    public abstract class AbstractCommonBuilderImpl

extends Object
implements CommonBuilder

Implementation for the `CommonBuilder` interface

Field Summary

Fields inherited from interface be.ehealth.business.mycarenetdomaincommons.builders.CommonBuilder
`PROJECT_NAME_KEY`

Constructor Summary
`AbstractCommonBuilderImpl()`

Method Summary
`CommonInput` | `createCommonInput(McnPackageInfo packageInfo, boolean isTest, String inputReference)` Creates CommonInputType part with given parameters
`CommonInput` | `createCommonInput(PackageInfo packageInfo, boolean isTest, String inputReference)` Deprecated. use the createCommonInput(McnPackageInfo packageInfo, boolean isTest, String inputReference) instead;
`Origin` | `createOrigin(McnPackageInfo packageInfo)` Create an `Origin`
`Origin` | `createOrigin(PackageInfo packageInfo)` Deprecated. use createOrigin(McnPackageInfo packageInfo) instead
`Routing` | `createRouting(Patient patientInfo, org.joda.time.DateTime refDate)` Create the `Routing` with the patientInfo
`Routing` | `createRoutingToMutuality(String mutuality, org.joda.time.DateTime refDate)` Create the `Routing` with the mutuality
`void` | `initialize(Map<String,Object> parameterMap)` initializes the implementation with additional parameters.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractCommonBuilderImpl

    public AbstractCommonBuilderImpl()

Method Detail

### initialize

    public void initialize(Map<String,Object> parameterMap)
                    throws TechnicalConnectorException

  Description copied from interface: `ConfigurableImplementation`
  initializes the implementation with additional parameters.

  Specified by:
    `initialize` in interface `ConfigurableImplementation`
  Parameters:
    `parameterMap` - Map with for each propertyString ,the input parameter as Object.
  Throws:
    `TechnicalConnectorException` - if the parameterMap is not correct.

### createCommonInput

    @Deprecated
    public CommonInput createCommonInput(PackageInfo packageInfo,
                                                    boolean isTest,
                                                    String inputReference)
                                  throws TechnicalConnectorException

  Deprecated. use the createCommonInput(McnPackageInfo packageInfo, boolean isTest, String inputReference) instead;

  Description copied from interface: `CommonBuilder`
  Creates CommonInputType part with given parameters

  Specified by:
    `createCommonInput` in interface `CommonBuilder`
  Parameters:
    `packageInfo` - the packageInfo: provides info about the software package creating the message
    `isTest` - true if you're running a test, false otherwise
    `inputReference` - the inputReference : unique reference created by the careprovider
  Returns:
    filled CommonInput object
  Throws:
    `TechnicalConnectorException`

### createCommonInput

    public CommonInput createCommonInput(McnPackageInfo packageInfo,
                                         boolean isTest,
                                         String inputReference)
                                  throws TechnicalConnectorException

  Description copied from interface: `CommonBuilder`
  Creates CommonInputType part with given parameters

  Specified by:
    `createCommonInput` in interface `CommonBuilder`
  Parameters:
    `packageInfo` - the packageInfo: provides info about the software package creating the message
    `isTest` - true if you're running a test, false otherwise
    `inputReference` - the inputReference : unique reference created by the careprovider
  Returns:
    filled CommonInput object
  Throws:
    `TechnicalConnectorException`

### createOrigin

    @Deprecated
    public Origin createOrigin(PackageInfo packageInfo)
                        throws TechnicalConnectorException

  Deprecated. use createOrigin(McnPackageInfo packageInfo) instead

  Create an `Origin`

  Specified by:
    `createOrigin` in interface `CommonBuilder`
  Parameters:
    `packageInfo` - the packageInfo: provides info about the software package creating the message
  Returns:
    filled Origin object
  Throws:
    `TechnicalConnectorException`

### createOrigin

    public Origin createOrigin(McnPackageInfo packageInfo)
                        throws TechnicalConnectorException

  Create an `Origin`

  Specified by:
    `createOrigin` in interface `CommonBuilder`
  Parameters:
    `packageInfo` - the packageInfo: provides info about the software package creating the message
  Returns:
    filled Origin object
  Throws:
    `TechnicalConnectorException`

### createRouting

    public Routing createRouting(Patient patientInfo,
                                 org.joda.time.DateTime refDate)

  Create the `Routing` with the patientInfo

  Specified by:
    `createRouting` in interface `CommonBuilder`
  Parameters:
    `patientInfo` - all the available informations about the concerned patient
    `refDate` - the reference date
  Returns:
    the RoutingType object

### createRoutingToMutuality

    public Routing createRoutingToMutuality(String mutuality,
                                            org.joda.time.DateTime refDate)

  Create the `Routing` with the mutuality

  Specified by:
    `createRoutingToMutuality` in interface `CommonBuilder`
  Parameters:
    `mutuality` - the mutuality identifier (X00).
    `refDate` - the reference date.
  Returns:
    the Routing Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.